%define anolis_release 2

Name:           hostname
Version:        3.23 
Release:        %{anolis_release}%{?dist}
Summary:        Utility to set/show the host name or domain name

License:        GPLv2+
URL:            http://packages.qa.debian.org/h/hostname.html
Source0:        http://deb.debian.org/debian/pool/main/h/%{name}/%{name}_%{version}.tar.gz
Source1:        https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2:        nis-domainname.service
Source3:        nis-domainname
BuildRequires:  gcc make 

Patch1:         0001-fix-build-failed-in-rpmbuild-with-no-root-user.patch
%description
This package provides commands which can be used to display the system's
DNS name, and to display or set its hostname or NIS domain name.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n hostname -p1
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
make CFLAGS="%{optflags} $CFLAGS -D_GNU_SOURCE" LDFLAGS="$RPM_LD_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make BASEDIR=%{buildroot} BINDIR=%{_bindir} install

install -m 0755 -d %{buildroot}%{_libexecdir}/%{name}
install -m 0755 -d %{buildroot}%{_prefix}/lib/systemd/system
install -m 0755 nis-domainname         %{buildroot}%{_libexecdir}/%{name}
install -m 0644 nis-domainname.service %{buildroot}%{_prefix}/lib/systemd/system

%post
if [ $1 -eq 1 ]; then
  systemctl --no-reload preset nis-domainname.service &>/dev/null || :
fi

%preun
if [ $1 -eq 0 ]; then
  systemctl --no-reload disable --now nis-domainname.service &>/dev/null || :
fi

%files
%license COPYRIGHT
%license gpl-2.0.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_prefix}/lib/systemd/system/*
%{_libexecdir}/%{name}

%files doc
%doc debian/changelog

%changelog
* Tue Feb 14 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 3.23-2
- Optimize spec

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 3.23-1
- Init for Anolis OS 23 
- fix build failed in rpmbuild with no-root user
